> For the complete documentation index, see [llms.txt](/llms.txt).
> A full single-fetch corpus is available at [llms-full.txt](/llms-full.txt).
---
title: "List experiments"
description: "List a project's experiments."
method: "GET"
endpoint: "/api/v1/projects/:projectId/experiments"
order: 1
group: "Manage experiments"
last_verified: 2026-07-27
---



`GET /api/v1/projects/:projectId/experiments`

List a project's experiments.


  #### Response
  ```json {{ title: 'Response' }}
  {
    "success": true,
    "message": "Experiments retrieved successfully",
    "data": [
      {
        "id": "2b3c4d5e-...",
        "project_id": "b6f1a3e2-...",
        "dataset_id": "1a2b3c4d-...",
        "name": "invoice-extraction-v2-vs-v1",
        "type": "comparison",
        "status": "completed",
        "target_type": "component",
        "component_name": "extract_invoice_fields",
        "component_type": "function",
        "repetitions": 3,
        "scorer_ids": ["4d5e6f7a-..."],
        "current_version_number": 1
      }
    ]
  }
  ```



